## libjaylink 0.4.0

=== meson_options.txt ===
option('usb', type : 'feature', value : 'auto',
  description : 'enable USB transport (requires libusb-1.0)'
)

## libjaylink 0.1.0

=== debian/changelog ===
libjaylink (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #824136)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 11 Aug 2017 15:31:48 -0400

=== debian/control ===
Source: libjaylink
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>= 10), pkg-config, libusb-1.0-0-dev
Standards-Version: 4.0.1
Section: libs
Homepage: http://git.zapb.de/libjaylink.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libjaylink.git -b debian
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libjaylink.git

Package: libjaylink-dev
Section: libdevel
Architecture: any
Depends: libjaylink0 (= ${binary:Version}), ${misc:Depends}
Description: library for interacting with J-Link programmers (development files)
 libjaylink provides functions for interacting with Segger J-Link USB
 devices, which are used for programming and debugging ARM chips. The
 library is primarily used by OpenOCD, which provides a practical
 interface for using the devices.
 .
 This package contains files needed to compile libjaylink applications.

Package: libjaylink0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for interacting with J-Link programmers
 libjaylink provides functions for interacting with Segger J-Link USB
 devices, which are used for programming and debugging ARM chips. The
 library is primarily used by OpenOCD, which provides a practical
 interface for using the devices.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS += hardening=+all

%:
	dh $@

## libjaylink 0.2.0

=== debian/changelog ===
libjaylink (0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Sat, 11 Jul 2020 14:57:19 +0100

libjaylink (0.1.0+git20200606.2800726-1~exp1) experimental; urgency=medium

  * Team upload
  * New GIT head of libjaylink
  * debian/control: New standards version: 4.5.0 - no changes
  * Change to debhelper-compat - version 12

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 06 Jun 2020 21:09:34 +0200

libjaylink (0.1.0-3) unstable; urgency=medium

  * Set packages to Multi-Arch: same
  * Don't pass --silent to libtool to avoid blhc warnings about hidden flags

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jul 2019 14:21:59 -0300

libjaylink (0.1.0-2) unstable; urgency=medium

  * Update VCS URLs to point to Salsa
  * Standards-Version: 4.4.0
    * Added Rules-Requires-Root: no to debian/control
  * Update list alias to point to alioth-lists

 -- Jonathan McDowell <noodles@earth.li>  Thu, 25 Jul 2019 14:59:50 -0300

=== debian/control ===
Source: libjaylink
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper-compat (= 12), pkg-config, libusb-1.0-0-dev
Standards-Version: 4.5.0
Section: libs
Homepage: http://git.zapb.de/libjaylink.git
Vcs-Git: https://salsa.debian.org/electronics-team/libjaylink.git -b debian
Vcs-Browser: https://salsa.debian.org/electronics-team/libjaylink
Rules-Requires-Root: no

Package: libjaylink-dev
Section: libdevel
Architecture: any
Depends: libjaylink0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: library for interacting with J-Link programmers (development files)
 libjaylink provides functions for interacting with Segger J-Link USB
 devices, which are used for programming and debugging ARM chips. The
 library is primarily used by OpenOCD, which provides a practical
 interface for using the devices.
 .
 This package contains files needed to compile libjaylink applications.

Package: libjaylink0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for interacting with J-Link programmers
 libjaylink provides functions for interacting with Segger J-Link USB
 devices, which are used for programming and debugging ARM chips. The
 library is primarily used by OpenOCD, which provides a practical
 interface for using the devices.

## libjaylink 0.3.1

=== debian/changelog ===
libjaylink (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Fix homepage
  * Add watch file

 -- Jonathan McDowell <noodles@earth.li>  Sat, 27 Aug 2022 09:16:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12), pkg-config, libusb-1.0-0-dev
 Standards-Version: 4.5.0
 Section: libs
-Homepage: http://git.zapb.de/libjaylink.git
+Homepage: http://git.zapb.de/libjaylink/libjaylink
 Vcs-Git: https://salsa.debian.org/electronics-team/libjaylink.git -b debian
 Vcs-Browser: https://salsa.debian.org/electronics-team/libjaylink
 Rules-Requires-Root: no

=== debian/watch ===
version=4
https://gitlab.zapb.de/libjaylink/libjaylink/-/tags .*/[\d\.]+/libjaylink-([\d\.]+)\.tar\.bz2

## libjaylink 0.4.0

=== debian/changelog ===
libjaylink (0.4.0-1) unstable; urgency=medium

  [Patrice Duroux]
  * Update debian/watch file (Closes: #1081064)

  [Jonathan McDowell]
  * New upstream release
  * Update pkg-config dep to pkgconf
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Sun, 15 Dec 2024 18:58:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper-compat (= 12), pkg-config, libusb-1.0-0-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), pkgconf, libusb-1.0-0-dev
+Standards-Version: 4.7.0
 Section: libs
 Homepage: http://git.zapb.de/libjaylink/libjaylink
 Vcs-Git: https://salsa.debian.org/electronics-team/libjaylink.git -b debian

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.zapb.de/libjaylink/libjaylink/tags -/archive/[\d\.]+/@PACKAGE@@ANY_VERSION@\.tar\.bz2
